View Issue Details

IDProjectCategoryView StatusLast Update
0024071FPCCompilerpublic2013-06-03 21:48
ReporterMaciej Izak Assigned ToSven Barth  
PriorityhighSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version2.7.1 
Fixed in Version3.0.0 
Summary0024071: Generics internal error 200512113
DescriptionI can't compile attached code:

program project2;

{$mode delphi}

type
  TA<T> = class
  end;

  TB<T> = class
  public
  type
    TC = class;
    TC = class(TA<TC>)
    private
      procedure Foo; virtual; abstract;
    end;
  end;

var
  X: TB<Integer>;
begin
end.
Tagsgenerics
Fixed in Revision24572
FPCOldBugId
FPCTarget
Attached Files

Activities

Maciej Izak

2013-03-18 11:40

reporter  

project2.lpr (261 bytes)

Sven Barth

2013-05-24 17:27

manager   ~0067850

Please test and close if okay.

Regards,
Sven

Maciej Izak

2013-06-03 21:48

reporter   ~0068029

It's really fixed! Thank you. At this moment only 14 bugs left for Generics.Collections ;).

Issue History

Date Modified Username Field Change
2013-03-18 11:40 Maciej Izak New Issue
2013-03-18 11:40 Maciej Izak File Added: project2.lpr
2013-03-19 11:17 Sven Barth Tag Attached: generics
2013-05-23 12:24 Sven Barth Assigned To => Sven Barth
2013-05-23 12:24 Sven Barth Status new => assigned
2013-05-24 17:27 Sven Barth Fixed in Revision => 24572
2013-05-24 17:27 Sven Barth Note Added: 0067850
2013-05-24 17:27 Sven Barth Status assigned => resolved
2013-05-24 17:27 Sven Barth Fixed in Version => 2.7.1
2013-05-24 17:27 Sven Barth Resolution open => fixed
2013-06-03 21:48 Maciej Izak Note Added: 0068029
2013-06-03 21:48 Maciej Izak Status resolved => closed